package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 库存交易条码信息 （移库类的交易需要记录2笔交易数据，正负各一笔）
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_TRANS_QUAN")
@Api("库存交易信息")
public class WmsTransQuan extends BaseBean {

    @Column(name = "TRANS_NO")
    @ApiParam(value = "事务编号")
    private String transNo;

    @Column(name = "WH_NO")
    @ApiParam(value = "仓库代码")
    private String whNo;

    @Column(name = "ZONE_NO")
    @ApiParam(value = "存储区编号")
    private String zoneNo;

    @Column(name = "LOCATE_NO")
    @ApiParam(value = "库位编号")
    private String locateNo;

    @Column(name = "PART_NO")
    @ApiParam(value = "零件编号")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam(value = "零件名称")
    private String partNameRdd;

    @Column(name = "UNIT")
    @ApiParam(value = "单位")
    private String unit;

    @Column(name = "QTY")
    @ApiParam(value = "交易数量", example = "1")
    private Double qty;

    @Column(name = "REJECT_QTY")
    @ApiParam(value = "不合格交易数量", example = "1")
    private Double rejectQty;

    @Column(name = "TRANS_STATUS")
    @ApiParam(value = "状态", example = "10")
    private Integer transStatus;

    @Column(name = "REF_TYPE")
    @ApiParam(value = "关联单据类型")
    private String refType;

    @Column(name = "BUSI_TYPE")
    @ApiParam(value = "业务类型", example = "10")
    private Integer busiType;

    @Column(name = "REF_SRC")
    @ApiParam(value = "关联单号")
    private String refSrc;

    @Column(name = "TRANS_CODE")
    @ApiParam(value = "交易代码")
    private String transCode;

    @Column(name = "MOVE_NO")
    @ApiParam(value = "库存移动单号")
    private String moveNo;

    @Column(name = "VENDOR_NO")
    @ApiParam(value = "供应商编号")
    private String vendorNo;

    @Column(name = "CUST_NO")
    @ApiParam(value = "客户编号")
    private String custNo;
}
